interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        U0080QMA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36600']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:26 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjht0r.2.1505364085916.Z0FBQUFBQlp1Z2gyZ2pIUlREcUtoZEd0cktzU0ZwekY2YlBuMmd4Q2ZoSUlRRWhBQVlkVmlaRG9KYjFfdldsN01CUWZOeFdUbWdhQU1RcGc5TC1zVEt4MVM3bnMtejVBQ19vNjEzeEdwZWJYTkZkczlHX1VncG5QMWRwSUtrYTZsdGZyTEZnQ29EUnU;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:41:26
          GMT; secure', 'session_tracker=rZQi5DOQdkjlLoArOn.0.1505364085911.Z0FBQUFBQlp1Z2gybnJZT1k1cnNqZWxRcmlMekw2d3J1aUdhZG05clF1V1F4bzJIOTRwN3FWT0NQMWRzMkE4cko1clpPcktaSGVnQjkwQzF2U09pWEZHdVVaUHE5TzhDaUlDNTRNQVJXeTBjakJKaVpUYkJoQThPWFRVNGRYVk0taHZZS2xEYlVVVjY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:26
          GMT; secure', edgebucket=Cri2adnrJxXeuYPnoA; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364086.891323,VS0,VE426']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjht0r.2.1505364085916.Z0FBQUFBQlp1Z2gyZ2pIUlREcUtoZEd0cktzU0ZwekY2YlBuMmd4Q2ZoSUlRRWhBQVlkVmlaRG9KYjFfdldsN01CUWZOeFdUbWdhQU1RcGc5TC1zVEt4MVM3bnMtejVBQ19vNjEzeEdwZWJYTkZkczlHX1VncG5QMWRwSUtrYTZsdGZyTEZnQ29EUnU;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:41:26
          GMT; secure', 'session_tracker=rZQi5DOQdkjlLoArOn.0.1505364085911.Z0FBQUFBQlp1Z2gybnJZT1k1cnNqZWxRcmlMekw2d3J1aUdhZG05clF1V1F4bzJIOTRwN3FWT0NQMWRzMkE4cko1clpPcktaSGVnQjkwQzF2U09pWEZHdVVaUHE5TzhDaUlDNTRNQVJXeTBjakJKaVpUYkJoQThPWFRVNGRYVk0taHZZS2xEYlVVVjY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:26
          GMT; secure', edgebucket=Cri2adnrJxXeuYPnoA; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=IjewJ0yX%2FybB2zv1Ur8cRAumHGSupgEXyKR0ry%2FRK1qVXgPCI9J1B1ps5VUPKlrRSvp3ph4ussw%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=Cri2adnrJxXeuYPnoA; loid=00000000000drjht0r.2.1505364085916.Z0FBQUFBQlp1Z2gyZ2pIUlREcUtoZEd0cktzU0ZwekY2YlBuMmd4Q2ZoSUlRRWhBQVlkVmlaRG9KYjFfdldsN01CUWZOeFdUbWdhQU1RcGc5TC1zVEt4MVM3bnMtejVBQ19vNjEzeEdwZWJYTkZkczlHX1VncG5QMWRwSUtrYTZsdGZyTEZnQ29EUnU;
          session_tracker=rZQi5DOQdkjlLoArOn.0.1505364085911.Z0FBQUFBQlp1Z2gybnJZT1k1cnNqZWxRcmlMekw2d3J1aUdhZG05clF1V1F4bzJIOTRwN3FWT0NQMWRzMkE4cko1clpPcktaSGVnQjkwQzF2U09pWEZHdVVaUHE5TzhDaUlDNTRNQVJXeTBjakJKaVpUYkJoQThPWFRVNGRYVk0taHZZS2xEYlVVVjY]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        vELRAwA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36599']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:27 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364087.343478,VS0,VE502']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=rZQi5DOQdkjlLoArOn.0.1505364087359.Z0FBQUFBQlp1Z2gzZDc0dDBFTllkd2gtYV9nb0xuVTI1SmZxUFVmWVRsQkRSNzB3RHpCT00tYjJmMXdLdk5HbmZjWnljdFl3WjIwcG9tNHlKbmFZYkt2S0tjWDZKaDRwUmIwUnh2bWFkOWpqRUxTQi1Ebi01V1lya1VxYVpQdFIwa2QyZE9EVElKdy0;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:27
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=0JrnRkiixUjfw94RoMCQCMhFfNr4aEN8i42aNYRoB4Z6ZqGKfCPVjW3%2BUXpMV913La9Zq82Og9c%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=Cri2adnrJxXeuYPnoA; loid=00000000000drjht0r.2.1505364085916.Z0FBQUFBQlp1Z2gyZ2pIUlREcUtoZEd0cktzU0ZwekY2YlBuMmd4Q2ZoSUlRRWhBQVlkVmlaRG9KYjFfdldsN01CUWZOeFdUbWdhQU1RcGc5TC1zVEt4MVM3bnMtejVBQ19vNjEzeEdwZWJYTkZkczlHX1VncG5QMWRwSUtrYTZsdGZyTEZnQ29EUnU;
          session_tracker=rZQi5DOQdkjlLoArOn.0.1505364087359.Z0FBQUFBQlp1Z2gzZDc0dDBFTllkd2gtYV9nb0xuVTI1SmZxUFVmWVRsQkRSNzB3RHpCT00tYjJmMXdLdk5HbmZjWnljdFl3WjIwcG9tNHlKbmFZYkt2S0tjWDZKaDRwUmIwUnh2bWFkOWpqRUxTQi1Ebi01V1lya1VxYVpQdFIwa2QyZE9EVElKdy0]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 91800 characters]
        r5Ra3c8VCqRm6Yc3PxgT68pOL1/4L9GwDBWRYwUA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['61590']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:32 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1736-ORD]
      X-Timer: ['S1505364092.137022,VS0,VE658']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=rZQi5DOQdkjlLoArOn.0.1505364092152.Z0FBQUFBQlp1Z2g4alUzZHRnd3hTTGJ2b3ZnZUNRczJQZ2w1RU9SX2NjaS1kZF85dWpxSmprOXJnTmV4bHZoLWgwQXFZbkhaQTFuem9vVkUzLUZ5c0g3dHB1UERoSlYycVRuczBRU0NtUDNyQlJOamViUHJlSkViRHc4dEVzdWt0VV9UT2ExYkVEQzg;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:32
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=Z5e%2BW9uCD7ivHELyMzIbXZkpdStfOrV0mnEVDGjG5YX1cNSNQXLXM9Jy3kw1DX9N%2FrRjtMC%2Fn%2Bc%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
